# Uses of Enum Class
jdk.jshell.SourceCodeAnalysis.CompletionContext

Packages that use SourceCodeAnalysis.CompletionContext
Package
Description
jdk.jshell
Provides interfaces for creating tools, such as a Read-Eval-Print Loop (REPL), which interactively evaluate "snippets" of Java programming language code.

## Uses of SourceCodeAnalysis.CompletionContext in jdk.jshell

Subclasses with type arguments of type SourceCodeAnalysis.CompletionContext in jdk.jshell
Modifier and Type
Class
Description
`static enum`
`SourceCodeAnalysis.CompletionContext`
Various flags describing the context in which the completion happens.
Methods in jdk.jshell that return SourceCodeAnalysis.CompletionContext
Modifier and Type
Method
Description
`static SourceCodeAnalysis.CompletionContext`
SourceCodeAnalysis.CompletionContext.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SourceCodeAnalysis.CompletionContext[]`
SourceCodeAnalysis.CompletionContext.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in jdk.jshell that return types with arguments of type SourceCodeAnalysis.CompletionContext
Modifier and Type
Method
Description
`Set<SourceCodeAnalysis.CompletionContext>`
SourceCodeAnalysis.CompletionState.`completionContext()`
Returns flags describing the overall completion context..